> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete multiple WebRTC connections

> Soft delete multiple WebRTC connections by their IDs. See [WebRTC Connections](https://docs.galtea.ai/concepts/product/webrtc-connection).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json delete /webRtcConnections/batch
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /webRtcConnections/batch:
    delete:
      tags:
        - web-rtc-connections
      summary: Delete multiple WebRTC connections
      description: >-
        Soft delete multiple WebRTC connections by their IDs. See [WebRTC
        Connections](https://docs.galtea.ai/concepts/product/webrtc-connection).
      operationId: deleteWebRtcConnections
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ids
              properties:
                ids:
                  type: array
                  example:
                    - id_1
                    - id_2
                  items:
                    type: string
                  description: Array of WebRTC connection IDs to delete
      responses:
        '204':
          description: WebRTC connections deleted successfully
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````